/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package monitor.utiles;

import java.io.*;
import java.util.jar.*;

public class AlmacenStringSecundario extends AlmacenStrings {

   public boolean cargar(String fichero) {
      miFichero = fichero;      
      try {
         BufferedReader bf = null;
         JarFile jar = new JarFile("Monitor.jar");
         JarEntry entrada = jar.getJarEntry("Recursos/" + fichero);
         if (entrada == null) {
            return false;
         }
         bf = new BufferedReader(new InputStreamReader(jar.getInputStream(entrada)));
         String linea;
         while ((linea = bf.readLine()) != null) {
            add(linea);
         }
         bf.close();
         return true;
      } catch (Exception exc) {
         System.out.println(exc.getMessage());
         return false;
      }
   }          
   
}
